Skip to content

Get Webhook log

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get webhook logs by specifying webhookId, optional page and limit. If webhookId does not exist, no error message is returned

Method name

ManagementClient.get_webhook_logs

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
webhookIdstringYes-Webhook ID6229ffaxxxxxxxxcade3e3d9
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010

Request response

Type: ListWebhookLogsRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ListWebhookLogsDataResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 1,
    "list": {
      "webhookId": "6229ffaxxxxxxxxcade3e3d9",
      "eventName": "user:created",
      "requestBody": {
        "eventName": "test",
        "data": {
          "description": "A test from authing"
        }
      },
      "requestHeaders": {
        "eventName": "test",
        "data": {
          "description": "A test from authing"
        }
      },
      "responseStatusCode": 200,
      "responseHeaders": {
        "Accept": "application/json, text/plain, */*",
        "user-agent": "authing-webhook@2.0",
        "x-authing-token": "a",
        "x-authing-webhook-secret": "a"
      },
      "responseBody": {
        "success": true
      },
      "timestamp": "2022-09-20T08:55:00.188+0800",
      "success": true,
      "errorMessage": "ERRTIMEOUT"
    }
  }
}

Data structure

ListWebhookLogsData

NameTypeIs it requiredDescriptionSample value
totalCountnumberyesTotal number of records1
listarrayyesReturn list Nested type: <a WebhookLogDto.

WebhookLogDto

NameTypeIs it required?DescriptionSample value
webhookIdstringYesWebhook ID6229ffaxxxxxxxxcade3e3d9
eventNamestringYesWebhook event nameuser:created
requestBodyobjectYesWebhook request body{"eventName":"test","data":{"description":"A test from authing"}}
requestHeadersobjectYesWebhook request headers{"eventName":"test","data":{"description":"A test from authing"}}
responseStatusCodenumberyesWebhook response code200
responseHeadersobjectyesWebhook response header{"Accept":"application/json, text/plain, */*","user-agent":"authing-webhook@2.0","x-authing-token":"a","x-authing-webhook-secret":"a"}
responseBodyobjectyesWebhook response body{"success":true}
timestampstringyestimestamp2022-09-20T08:55:00.188+0800
successbooleanyesrequest successtrue
errorMessagestringNoError message returned when the request failsERRTIMEOUT

Agent infrastructure for identity, memory, and web action.